## babl 0.1.78

=== debian/changelog ===
babl (0.1.78-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 15 Jun 2020 11:12:47 -0700

babl (0.1.78-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on valac
  * debian;libbabl-dev.install: Install vala development files
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0
  * Update debian/watch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 13 Jun 2020 11:36:03 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: babl
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               libgirepository1.0-dev,
               liblcms2-dev,
               meson (>= 0.50.0),
               python3-setuptools,
               pkg-config,
               valac,
               w3m
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/babl
Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
Homepage: http://gegl.org/babl/

Package: libbabl-0.1-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Dynamic, any to any, pixel format conversion library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.

Package: libbabl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-babl-0.1 (= ${binary:Version}),
         libbabl-0.1-0 (= ${binary:Version}),
         liblcms2-dev,
         ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (development files)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the development files.

Package: libbabl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Dynamic, any to any, pixel format conversion library (documentation)
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains the API documentation.

Package: gir1.2-babl-0.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for Babl library
 Babl is a dynamic, any to any, pixel format conversion library. It
 provides conversions between the myriad of buffer types images can be
 stored in. Babl doesn't only help with existing pixel formats, but
 also facilitates creation of new and uncommon ones.
 .
 This package contains introspection data for the library.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
	sse_flags := -Denable-mmx=false -Denable-sse=false -Denable-sse2=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(sse_flags) \
		-Denable-sse4_1=false \
		-Denable-f16c=false

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -- -c4

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## babl 0.1.82

=== debian/changelog ===
babl (1:0.1.82-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Oct 2020 21:46:57 -0400

babl (1:0.1.80-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Version some dependencies as per meson.build
    - d/copyright: Update
    - Update symbols file
  * Add an epoch to the version number.
    This ensures that versions previously shipped by the deb-multimedia
    third-party apt repository are correctly superseded.
    (Related to #961993, #962093 and many older reports)
    - d/source/lintian-overrides: Justify the epoch bump
  * Add superficial smoke-tests for the library and GIR data
  * d/libbabl-0.1-0.lintian-overrides: Silence some warnings about plugins.
    Many of these plugins genuinely don't call into libc, and some don't
    call into any library code at all (they only do computation), so it's
    OK that they have no dependencies.

 -- Simon McVittie <smcv@debian.org>  Wed, 26 Aug 2020 10:37:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -- -c4
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: libbabl-dev
Depends: build-essential, pkg-config, libbabl-dev
Restrictions: allow-stderr, superficial

Tests: gir1.2-babl-0.1
Depends: gir1.2-babl-0.1, python3-gi
Restrictions: allow-stderr, superficial

## babl 0.1.86

=== debian/changelog ===
babl (1:0.1.86-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Jun 2021 13:53:36 -0700

babl (1:0.1.86-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 12 Mar 2021 18:21:15 -0500

## babl 0.1.88

=== debian/changelog ===
babl (1:0.1.88-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Jul 2021 12:57:04 -0400

## babl 0.1.92

=== debian/changelog ===
babl (1:0.1.92-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 25 Jun 2022 13:07:42 -0700

babl (1:0.1.92-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix build with latest meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 15:21:20 -0400

babl (1:0.1.90-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/libbabl-0.1-0.symbols: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 16:35:14 -0500

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               libgirepository1.0-dev,
-               liblcms2-dev,
-               meson (>= 0.50.0),
+               libgirepository1.0-dev (>= 1.32.0),
+               liblcms2-dev (>= 2.8),
+               meson (>= 0.54.0),
+               pkg-config,
                python3-setuptools,
-               pkg-config,
-               valac,
+               valac (>= 0.20.0),
                w3m
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
@@ -26,8 +26,7 @@
 Package: libbabl-0.1-0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Dynamic, any to any, pixel format conversion library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be
@@ -67,8 +66,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for Babl library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 # Disable SSE2 except on amd64
 ifneq ($(DEB_HOST_ARCH_CPU),amd64)
@@ -19,3 +19,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -- -c4
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## babl 0.1.96

=== debian/changelog ===
babl (1:0.1.96-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch applied upstream
  * Don't install newly introduced bin/babl yet

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 25 Aug 2022 10:46:56 -0300

## babl 0.1.98

=== meson_options.txt ===
# Optional features
option('with-docs',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  description: 'build documentation'
)
option('enable-gir',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  description: 'gobject introspection .gir generation'
)
option('enable-vapi',
  type: 'boolean',
  value: 'true', 
  description: 'Vala .vapi generation - depends on introspection'
)

# Compiler extensions
option('enable-mmx',
  type: 'boolean', 
  value: 'true', 
  description: 'MMX support - disables all compiler extensons'
)
option('enable-sse',
  type: 'boolean',
  value: 'true',
  description: 'SSE support - depends on MMX'
)
option('enable-sse2',
  type: 'boolean',
  value: 'true',
  description: 'SSE2 support - depends on SSE'
)
option('enable-sse4_1',
  type: 'boolean',
  value: 'true',
  description: 'SSE4.1 support - depends on SSE2'
)
option('enable-avx2',
  type: 'boolean',
  value: 'true',
  description: 'AVX2 support - depends on SSE4.1'
)
option('enable-f16c',
  type: 'boolean',
  value: 'true',
  description: 'Hardware half-float support - depends on SSE'
)

# Optional dependencies
option('with-lcms',
  type: 'boolean',
  value: 'true', 
  description: 'build with lcms'
)

=== debian/changelog ===
babl (1:0.1.98-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * debian/libbabl-0.1-0.symbols: Add new symbol
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 11:49:39 -0500

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,19 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                libgirepository1.0-dev (>= 1.32.0),
                liblcms2-dev (>= 2.8),
                meson (>= 0.54.0),
+               python3-setuptools,
                pkg-config,
-               python3-setuptools,
                valac (>= 0.20.0),
                w3m
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
 Homepage: http://gegl.org/babl/
@@ -26,7 +25,8 @@
 Package: libbabl-0.1-0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Dynamic, any to any, pixel format conversion library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be
@@ -66,7 +66,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${gir:Depends}
 Description: GObject introspection data for Babl library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -- -c4
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_missing:
+	dh_missing -X/usr/bin

## babl 0.1.106

=== debian/changelog ===
babl (1:0.1.106-3+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1:0.1.92-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 27 Aug 2022 09:54:36 +0000]
  * Disable neon support, it seems to assume armv8 neon which not
    all systems have.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 22 Nov 2023 04:38:50 +0000

babl (1:0.1.106-3) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Regenerate to spell Jeremy Bícha's name with the correct
    Unicode
  * d/control: Stop generating from d/control.in
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:09:11 +0000

babl (1:0.1.106-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 13:06:10 -0400

babl (1:0.1.106-1) experimental; urgency=medium

  * New upstream release
  * autopkgtest: Update for renamed pkgconfig file: babl-0.1 instead of babl
  * debian/control.in: Set Rules-Requires-Root: no
  * Update lintian override info format in d/libbabl-0.1-0.lintian-overrides
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 May 2023 11:29:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: babl
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,10 +13,11 @@
                pkg-config,
                valac (>= 0.20.0),
                w3m
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
-Homepage: http://gegl.org/babl/
+Homepage: https://gegl.org/babl/
 
 Package: libbabl-0.1-0
 Architecture: any
@@ -40,7 +37,9 @@
 Depends: gir1.2-babl-0.1 (= ${binary:Version}),
          libbabl-0.1-0 (= ${binary:Version}),
          liblcms2-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Dynamic, any to any, pixel format conversion library (development files)
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 
 override_dh_missing:
 	dh_missing -X/usr/bin
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control

## babl 0.1.108

=== debian/changelog ===
babl (1:0.1.108-1) unstable; urgency=medium

  * New upstream release
  * debian/libbabl-0.1-0.symbols: Add new symbol
  * Add Build-Depends: gi-docgen
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 16:45:02 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
+               gi-docgen,
                libgirepository1.0-dev (>= 1.32.0),
                liblcms2-dev (>= 2.8),
                meson (>= 0.54.0),

## babl 0.1.110

=== debian/changelog ===
babl (1:0.1.110-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 13 Dec 2024 10:39:59 -0800

babl (1:0.1.110-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Nov 2024 00:09:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -9,11 +10,11 @@
                libgirepository1.0-dev (>= 1.32.0),
                liblcms2-dev (>= 2.8),
                meson (>= 0.54.0),
+               pkg-config,
                python3-setuptools,
-               pkg-config,
                valac (>= 0.20.0),
                w3m
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
@@ -22,8 +23,7 @@
 Package: libbabl-0.1-0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Dynamic, any to any, pixel format conversion library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be
@@ -65,8 +65,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for Babl library
  Babl is a dynamic, any to any, pixel format conversion library. It
  provides conversions between the myriad of buffer types images can be

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(sse_flags) \
+		-Dauto_features=enabled \
 		-Denable-sse4_1=false \
 		-Denable-f16c=false
 
@@ -23,5 +24,7 @@
 override_dh_missing:
 	dh_missing -X/usr/bin
 
-override_dh_gnome_clean:
-	dh_gnome_clean --no-control
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## babl 0.1.112

=== meson_options.txt ===
--- 
+++ 
@@ -13,6 +13,11 @@
   type: 'boolean',
   value: 'true', 
   description: 'Vala .vapi generation - depends on introspection'
+)
+option('gi-docgen',
+  type: 'feature',
+  value: 'auto',
+  description: 'Build developer documentation (uses gi-docgen)'
 )
 
 # Compiler extensions

=== debian/changelog ===
babl (1:0.1.112-1) unstable; urgency=medium

  * New upstream release
  * Update libbabl-doc.doc-base

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 14:39:04 -0400

## babl 0.1.114

=== meson_options.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 )
 option('enable-vapi',
   type: 'boolean',
-  value: 'true', 
+  value: true, 
   description: 'Vala .vapi generation - depends on introspection'
 )
 option('gi-docgen',
@@ -23,38 +23,38 @@
 # Compiler extensions
 option('enable-mmx',
   type: 'boolean', 
-  value: 'true', 
+  value: true, 
   description: 'MMX support - disables all compiler extensons'
 )
 option('enable-sse',
   type: 'boolean',
-  value: 'true',
+  value: true,
   description: 'SSE support - depends on MMX'
 )
 option('enable-sse2',
   type: 'boolean',
-  value: 'true',
+  value: true,
   description: 'SSE2 support - depends on SSE'
 )
 option('enable-sse4_1',
   type: 'boolean',
-  value: 'true',
+  value: true,
   description: 'SSE4.1 support - depends on SSE2'
 )
 option('enable-avx2',
   type: 'boolean',
-  value: 'true',
+  value: true,
   description: 'AVX2 support - depends on SSE4.1'
 )
 option('enable-f16c',
   type: 'boolean',
-  value: 'true',
+  value: true,
   description: 'Hardware half-float support - depends on SSE'
 )
 
 # Optional dependencies
 option('with-lcms',
   type: 'boolean',
-  value: 'true', 
+  value: true, 
   description: 'build with lcms'
 )

=== debian/changelog ===
babl (1:0.1.114-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 May 2025 08:23:23 -0400

babl (1:0.1.114-1) experimental; urgency=medium

  * New upstream bugfix release
  * debian/libbabl-0.1-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:17:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: babl
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -10,7 +9,7 @@
                libgirepository1.0-dev (>= 1.32.0),
                liblcms2-dev (>= 2.8),
                meson (>= 0.54.0),
-               pkg-config,
+               pkgconf,
                python3-setuptools,
                valac (>= 0.20.0),
                w3m
@@ -34,8 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-babl-0.1 (= ${binary:Version}),
-         libbabl-0.1-0 (= ${binary:Version}),
+Depends: libbabl-0.1-0 (= ${binary:Version}),
          liblcms2-dev,
          ${gir:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,3 @@
 
 override_dh_missing:
 	dh_missing -X/usr/bin
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

## babl 0.1.116

=== debian/changelog ===
babl (1:0.1.116-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 Oct 2025 23:08:07 -0400

babl (1:0.1.114-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control, d/rules: Only run gi-docgen when building Architecture: all
  * d/libbabl-doc.links: Register API reference with devhelp
  * d/copyright: Stop quoting the FSF's former postal address here
  * d/control: Remove unnecessary B-D on python3-setuptools
  * d/salsa-ci.yml: Add
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 09:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gi-docgen,
-               libgirepository1.0-dev (>= 1.32.0),
+               gobject-introspection (>= 1.80),
                liblcms2-dev (>= 2.8),
                meson (>= 0.54.0),
                pkgconf,
-               python3-setuptools,
                valac (>= 0.20.0),
                w3m
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Build-Depends-Indep: gi-docgen,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/babl
 Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
 Homepage: https://gegl.org/babl/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

built_binaries := $(shell dh_listpackages)
configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgi-docgen=disabled
else
configure_flags += -Dgi-docgen=enabled
endif

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
configure_flags += -Denable-mmx=false -Denable-sse=false -Denable-sse2=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Denable-sse4_1=false \
		-Denable-f16c=false \
		$(configure_flags)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/ -- -c4

override_dh_missing:
	dh_missing -X/usr/bin

=== debian/tests/control ===
Tests: libbabl-dev
Depends: build-essential, libbabl-dev, pkgconf
Restrictions: allow-stderr, superficial

Tests: gir1.2-babl-0.1
Depends: gir1.2-babl-0.1, python3-gi
Restrictions: allow-stderr, superficial

=== debian/watch ===
Version: 5
Source: https://download.gimp.org/pub/@PACKAGE@/([\d\.]+)/

## babl 0.1.118

=== debian/changelog ===
babl (1:0.1.118-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Support nodoc build profile
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 09:45:44 -0500

babl (1:0.1.118-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to fix build
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Dec 2025 21:02:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: babl
 Section: libs
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -11,10 +10,10 @@
                pkgconf,
                valac (>= 0.20.0),
                w3m
-Build-Depends-Indep: gi-docgen,
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/babl
-Vcs-Git: https://salsa.debian.org/gnome-team/babl.git
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/babl
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/babl.git
 Homepage: https://gegl.org/babl/
 
 Package: libbabl-0.1-0
@@ -46,6 +45,7 @@
 
 Package: libbabl-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Disable SSE2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
configure_flags += -Denable-mmx=false -Denable-sse=false -Denable-sse2=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dgi-docgen=$(if $(filter %-doc,$(shell dh_listpackages)),enabled,disabled) \
		-Denable-sse4_1=false \
		-Denable-f16c=false \
		$(configure_flags)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/babl-0.1/

override_dh_missing:
	dh_missing -X/usr/bin

## babl 0.1.120

=== debian/changelog ===
babl (1:0.1.120-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jan 2026 13:50:30 -0800

babl (1:0.1.120-1) unstable; urgency=medium

  * New upstream release
  * Remove build fix patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Jan 2026 13:08:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: babl
 Section: libs
-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,8 @@
 
 override_dh_missing:
 	dh_missing -X/usr/bin
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## babl 0.1.122

=== debian/changelog ===
babl (1:0.1.122-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Jan 2026 16:47:27 -0500

babl (1:0.1.120-2) unstable; urgency=medium

  * Set -Denable-gir=true to fix cross building (Closes: #1126388)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 08:47:46 -0500
